package org.kne.cloud.network.klalb;

import java.io.IOException;
import java.net.SocketException;

public interface KLALBPacketLink {
	public void writeKLALBPacket(KLALBPacket kp) throws IOException;
	public void flush() throws IOException;
	public KLALBPacket readKLALBPacket()throws IOException;
	public void close() throws IOException;
	public boolean isClosed();
	public void setSoTimeout(int val) throws SocketException;
	public int getSoTimeout() throws SocketException;
	@Override
	public String toString();
	public boolean isStream();
	
}
